package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.WarehouseKeeper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author lsun
 */
@Mapper
public interface WarehouseKeeperMapper {
    /**
     * 查询库管员配置列表
     *
     * @param bean
     * @return
     */
    List<WarehouseKeeper> getWarehouseKeeperInfoAll(WarehouseKeeper bean);

    /**
     * 根据人员名称查询左侧列表
     *
     * @param userName
     * @return
     */
    List<WarehouseKeeper> getMaUserList(String userName);

    /**
     * 保存
     *
     * @param list
     * @return
     */
    int add(List<WarehouseKeeper> list);

    /**
     * 删除
     *
     * @param typeId
     * @return
     */
    int deleteByIds(String typeId);

    /**
     * 批量删除
     *
     * @param typeIds
     * @return
     */
    int deleteByIdsAll(String[] typeIds);
}
